const { FedaPay, Payout } = require('fedapay');
/* Replace YOUR_SECRETE_API_KEY with your real API key */
FedaPay.setApiKey("YOUR_SECRETE_API_KEY");
/* Specify whether you want to run your query in test or live mode */
FedaPay.setEnvironment('sandbox'); //or setEnvironment('live');
/* Show payouts */
const payout = await Payout.all(params = {}, headers = {});\FedaPay\Fedapay::setApiKey(MY_API_KEY);
$payout = \FedaPay\Payout::all(params = {}, header = {});require 'fedapay';
# configure FedaPay library
FedaPay.api_key = '' # Your secret api key
FedaPay.environment = '' # sandbox or live
payouts = FedaPay::Payout.list;curl --request GET \
--url https://sandbox-api.fedapay.com/v1/payouts/search \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox-api.fedapay.com/v1/payouts/search"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sandbox-api.fedapay.com/v1/payouts/search"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://sandbox-api.fedapay.com/v1/payouts/search")
.header("Authorization", "Bearer <token>")
.asString();[
{
"id": 123,
"reference": "<string>",
"amount": 123,
"status": "<string>",
"customer_id": 123,
"currency_id": 123,
"mode": "<string>",
"last_error_code": "<string>",
"commission": 123,
"fees": 123,
"fixed_commission": 123,
"amount_transferred": 123,
"amount_debited": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"scheduled_at": "2023-11-07T05:31:56Z",
"sent_at": "2023-11-07T05:31:56Z",
"failed_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z",
"metadata": {},
"custom_metadata": {},
"payment_method_id": 123,
"transaction_key": "<string>",
"merchant_reference": "<string>",
"account_id": 123,
"balance_id": 123
}
]Search your payouts
const { FedaPay, Payout } = require('fedapay');
/* Replace YOUR_SECRETE_API_KEY with your real API key */
FedaPay.setApiKey("YOUR_SECRETE_API_KEY");
/* Specify whether you want to run your query in test or live mode */
FedaPay.setEnvironment('sandbox'); //or setEnvironment('live');
/* Show payouts */
const payout = await Payout.all(params = {}, headers = {});\FedaPay\Fedapay::setApiKey(MY_API_KEY);
$payout = \FedaPay\Payout::all(params = {}, header = {});require 'fedapay';
# configure FedaPay library
FedaPay.api_key = '' # Your secret api key
FedaPay.environment = '' # sandbox or live
payouts = FedaPay::Payout.list;curl --request GET \
--url https://sandbox-api.fedapay.com/v1/payouts/search \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox-api.fedapay.com/v1/payouts/search"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sandbox-api.fedapay.com/v1/payouts/search"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://sandbox-api.fedapay.com/v1/payouts/search")
.header("Authorization", "Bearer <token>")
.asString();[
{
"id": 123,
"reference": "<string>",
"amount": 123,
"status": "<string>",
"customer_id": 123,
"currency_id": 123,
"mode": "<string>",
"last_error_code": "<string>",
"commission": 123,
"fees": 123,
"fixed_commission": 123,
"amount_transferred": 123,
"amount_debited": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"scheduled_at": "2023-11-07T05:31:56Z",
"sent_at": "2023-11-07T05:31:56Z",
"failed_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z",
"metadata": {},
"custom_metadata": {},
"payment_method_id": 123,
"transaction_key": "<string>",
"merchant_reference": "<string>",
"account_id": 123,
"balance_id": 123
}
]Autorisations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Réponse
List of payouts.
Payout ID.
Payout reference.
Payout amount.
Payout status (e.g., 'pending', 'scheduled', 'sent', 'failed').
Customer ID associated with the payout.
Currency ID associated with the payout.
Payout mode.
Last error code encountered during the payout.
Payout commission.
Payout fees.
Fixed commission applied to the payout.
Amount transferred to the beneficiary.
Amount debited from the payer.
Date and time of payout creation.
Date and time of last payout update.
Date and time the payout is scheduled to be sent.
Date and time the payout was sent.
Date and time the payout failed.
Date and time of payout deletion.
Additional metadata related to the payout.
Custom metadata associated with the payout.
Payment method ID used for the payout.
Unique key associated with the payout.
Merchant reference provided for the payout.
Account ID associated with the payout.
Balance ID associated with the payout.

